# Uses of Interface
org.bukkit.entity.AbstractHorse

Packages that use AbstractHorse
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of AbstractHorse in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type AbstractHorse
Modifier and Type
Field
Description
`static final GoalKey<AbstractHorse>`
VanillaGoal.`RANDOM_STAND`
`static final GoalKey<AbstractHorse>`
VanillaGoal.`RUN_AROUND_LIKE_CRAZY`
`static final GoalKey<AbstractHorse>`
VanillaGoal.`TAME`
Deprecated.

## Uses of AbstractHorse in org.bukkit.entity

Subinterfaces of AbstractHorse in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Camel`
Represents a Camel.
`interface`
`ChestedHorse`
Represents Horse-like creatures which can carry an inventory.
`interface`
`Donkey`
Represents a Donkey - variant of `ChestedHorse`.
`interface`
`Horse`
Represents a Horse.
`interface`
`Llama`
Represents a Llama.
`interface`
`Mule`
Represents a Mule - variant of `ChestedHorse`.
`interface`
`SkeletonHorse`
Represents a SkeletonHorse - variant of `AbstractHorse`.
`interface`
`TraderLlama`
Represents a trader Llama.
`interface`
`ZombieHorse`
Represents a ZombieHorse - variant of `AbstractHorse`.

## Uses of AbstractHorse in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return AbstractHorse
Modifier and Type
Method
Description
`@NotNull AbstractHorse`
HorseJumpEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type AbstractHorse
Modifier
Constructor
Description
``
`HorseJumpEvent(@NotNull AbstractHorse horse, float power)`